searchData={"items":[{"type":"module","title":"Obanalyze","doc":"Obanalyze provides real-time monitoring for `Oban` within `Phoenix.LiveDashboard`,\ndelivering a user-friendly interface to manage background jobs seamlessly.","ref":"Obanalyze.html"},{"type":"module","title":"Features - Obanalyze","doc":"- **Job Management**: Retry, cancel, or delete jobs directly from the dashboard.\n- **Filtering**: Filter jobs based on worker name or job arguments to quickly find what you're looking for.\n- **Database Compatibility**: Fully compatible with SQLite, PostgreSQL or any database that Oban uses.","ref":"Obanalyze.html#module-features"},{"type":"module","title":"Installation - Obanalyze","doc":"The package can be installed by adding `obanalyze` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:obanalyze, \"~> 1.3\"}\n  ]\nend\n```","ref":"Obanalyze.html#module-installation"},{"type":"module","title":"Configuration - Obanalyze","doc":"Configure your application to include Obanalyze in `Phoenix.LiveDashboard`.\nUpdate your router configuration as follows:\n\n```elixir\n# lib/my_app_web/router.ex\nlive_dashboard \"/dashboard\",\n  additional_pages: [\n    obanalyze: Obanalyze.dashboard()\n  ],\n  on_mount: [\n    Obanalyze.hooks()\n  ]\n```","ref":"Obanalyze.html#module-configuration"},{"type":"module","title":"Usage - Obanalyze","doc":"After installation and setup, navigate to your `Phoenix.LiveDashboard` at the specified\nroute (e.g., `/dev/dashboard`). You will see the new `Obanalyze` tab, which provides\na complete overview of your background jobs.","ref":"Obanalyze.html#module-usage"},{"type":"module","title":"List view - Obanalyze","doc":"![Obanalyze screenshot](images/obanalyze.png \"Obanalyze\")","ref":"Obanalyze.html#module-list-view"},{"type":"module","title":"Single job view - Obanalyze","doc":"![Obanalyze job screenshot](images/obanalyze_job.png \"Single Job\")\n\n\n# Alternatives\n\n- [evilmarty/oban_live_dashboard](https://github.com/evilmarty/oban_live_dashboard): Inspired this project; a simplistic approach to Oban job monitoring.\n- [Oban Web](https://getoban.pro): Official advanced dashboard offering extensive features, directly from the creators of Oban.","ref":"Obanalyze.html#module-single-job-view"},{"type":"function","title":"Obanalyze.dashboard/0","doc":"Returns the module for the Obanalyze Phoenix.LiveDashboard page.","ref":"Obanalyze.html#dashboard/0"},{"type":"function","title":"Obanalyze.hooks/0","doc":"Returns the module for the Obanalyze JS hooks config.","ref":"Obanalyze.html#hooks/0"},{"type":"module","title":"Obanalyze.Helpers","doc":"","ref":"Obanalyze.Helpers.html"},{"type":"function","title":"Obanalyze.Helpers.can_cancel_job?/1","doc":"","ref":"Obanalyze.Helpers.html#can_cancel_job?/1"},{"type":"function","title":"Obanalyze.Helpers.can_delete_job?/1","doc":"","ref":"Obanalyze.Helpers.html#can_delete_job?/1"},{"type":"function","title":"Obanalyze.Helpers.can_retry_job?/1","doc":"","ref":"Obanalyze.Helpers.html#can_retry_job?/1"},{"type":"function","title":"Obanalyze.Helpers.can_run_job?/1","doc":"","ref":"Obanalyze.Helpers.html#can_run_job?/1"},{"type":"module","title":"Obanalyze.Hooks","doc":"","ref":"Obanalyze.Hooks.html"},{"type":"function","title":"Obanalyze.Hooks.on_mount/4","doc":"","ref":"Obanalyze.Hooks.html#on_mount/4"},{"type":"module","title":"Obanalyze.NavItem","doc":"","ref":"Obanalyze.NavItem.html"},{"type":"function","title":"Obanalyze.NavItem.new/3","doc":"","ref":"Obanalyze.NavItem.html#new/3"},{"type":"module","title":"Obanalyze.ObanJobs","doc":"","ref":"Obanalyze.ObanJobs.html"},{"type":"function","title":"Obanalyze.ObanJobs.cancel_oban_job/1","doc":"","ref":"Obanalyze.ObanJobs.html#cancel_oban_job/1"},{"type":"function","title":"Obanalyze.ObanJobs.delete_oban_job/1","doc":"","ref":"Obanalyze.ObanJobs.html#delete_oban_job/1"},{"type":"function","title":"Obanalyze.ObanJobs.fetch_oban_job/1","doc":"","ref":"Obanalyze.ObanJobs.html#fetch_oban_job/1"},{"type":"function","title":"Obanalyze.ObanJobs.get_oban_job/1","doc":"","ref":"Obanalyze.ObanJobs.html#get_oban_job/1"},{"type":"function","title":"Obanalyze.ObanJobs.job_states_with_count/0","doc":"","ref":"Obanalyze.ObanJobs.html#job_states_with_count/0"},{"type":"function","title":"Obanalyze.ObanJobs.list_jobs_with_total/2","doc":"","ref":"Obanalyze.ObanJobs.html#list_jobs_with_total/2"},{"type":"function","title":"Obanalyze.ObanJobs.retry_oban_job/1","doc":"","ref":"Obanalyze.ObanJobs.html#retry_oban_job/1"},{"type":"function","title":"Obanalyze.ObanJobs.sorted_job_states/0","doc":"","ref":"Obanalyze.ObanJobs.html#sorted_job_states/0"},{"type":"function","title":"Obanalyze.ObanJobs.timestamp_field_for_job_state/2","doc":"","ref":"Obanalyze.ObanJobs.html#timestamp_field_for_job_state/2"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}